%define plugin gkrellmms

Name: gkrellm-%plugin
Version: 2.1.12
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: GKrellM XMMS plugin
Summary(ru_RU.KOI8-R): XMMS-  GKrellM
License: GPL
Group: Monitoring
Url: http://gkrellm.luon.net/gkrellmms.phtml

Source: http://gkrellm.luon.net/files/%plugin-%version.tar.bz2
# removes gtk+-devel dependence
Patch0: http://lrn.ru/~bga/gkrellm/gkrellmms-2.1.9-alt-makefile.patch.gz
Patch1: http://lrn.ru/~bga/gkrellm/gkrellmms-2.1.6-alt-scroll_separator.patch.gz

Requires: gkrellm >= 2.0, xmms

# Automatically added by buildreq on Mon Jun 30 2003
BuildRequires: XFree86-devel gkrellm-devel glib2-devel libatk-devel libgtk+2-devel libpango-devel libxmms-devel pkgconfig

%description
A plugin for GKrellM, which allows you to control XMMS from within GKrellM.

%description -l ru_RU.KOI8-R
  GKrellM,    XMMS  GKrellM.

%prep
%setup -q -n %plugin
%patch0 -p0
%patch1 -p1

%build
%make_build enable_nls=1 CFLAGS="$RPM_OPT_FLAGS" LOCALEDIR=%_datadir/locale

%install
%__mkdir_p %buildroot%_libdir/gkrellm2/plugins
%make_install install enable_nls=1 PLUGIN_DIR=%buildroot%_libdir/gkrellm2/plugins INSTALL_PREFIX=%buildroot LOCALEDIR=%_datadir/locale
%find_lang gkrellmms

%files -f gkrellmms.lang
%doc Changelog README Themes FAQ
%_libdir/gkrellm2/plugins/%plugin.so

%changelog
* Mon Jun 30 2003 Grigory Batalov <bga@altlinux.ru> 2.1.12-alt1
- 2.1.12

* Tue Jun 10 2003 Grigory Batalov <bga@altlinux.ru> 2.1.11-alt1
- 2.1.11
- Forgotten GKRELLMMS_VERSION_REV updated to 11

* Mon May 05 2003 Grigory Batalov <bga@altlinux.ru> 2.1.9-alt1
- 2.1.9

* Sun Dec 29 2002 Grigory Batalov <bga@altlinux.ru> 2.1.6-alt1
- 2.1.6
- Various small fixes

* Thu Oct 31 2002 Grigory Batalov <bga@altlinux.ru> 2.1.3-alt1
- 2.1.3
- Patched for scroll_separator
- I18n patch improved

* Mon Oct 28 2002 Grigory Batalov <bga@altlinux.ru> 2.1.2-alt1
- 2.1.2
- New i18n patch made

* Fri May 17 2002 Grigory Batalov <bga@altlinux.ru> 0.5.6-alt2
- Group changed to GKrellM's one
- Small specfile changes

* Wed May 01 2002 Grigory Batalov <bga@altlinux.ru> 0.5.6-alt1
- 0.5.6 (updated for GKrellM >= 1.2.9)

* Sat Nov 24 2001 Grigory Batalov <bga@altlinux.ru> 0.5.5-alt1
- Built for ALTLinux
- Russian localization patch
